Komm zur dunklen Seite der Macht, wir verwenden Cookies! Alles zum Datenschutz findest du hier: Datenschutz.

gem update bricht ab wegen der xcode cli tools

Der Tag begann damit dass ich eigentlich github-pages als gem installieren wollte. Die Installation brach aber immer ab weil offenbar meine xcode command line tools veraltet sind. Also ein Schritt nach dem anderen. Zuerst xcode cli aktualisieren:

Terminalfenster öffnen und

$ xcode-select --install

eingeben. Daraufhin öffnet sich ein Dialog Fenster. Das muss bestätigt werden um den Download und die Installation zu starten.

Überprüfen ob alles installiert wurde: (in meinem Fall ist die komplette xcode suite installiert)

$ xcode-select -p
/Applications/Xcode.app/Contents/Developer

Wenn nur die xcode developer tools installiert werden dann sollte da stehen:

$ xcode-select -p
/Library/Developer/CommandLineTools

Dann noch überprüfen ob der gcc compiler installiert wurde:

$ gcc --version
Configured with: --prefix=/Applications/Xcode.app/Contents/Developer/usr --with-gxx-include-dir=/usr/include/c++/4.2.1
Apple LLVM version 7.0.0 (clang-700.1.76)
Target: x86_64-apple-darwin14.5.0
Thread model: posix

Alles super gelaufen. Also kann ich jetzt die gems aktualisieren.

$ sudo gem update
Gems updated: bigdecimal ffi hitimes libxml-ruby nokogiri posix-spawn psych pygments.rb yajl-ruby redcarpet sqlite3